## gcovr 7.2+really

=== doc/requirements.txt ===
sphinx
sphinx_rtd_theme
sphinxcontrib-autoprogram >= 0.1.5
rst2html5
jinja2
lxml
colorlog
pygments>=2.13.0
