=== gcovr/tests/cmake_oos_ninja/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

include(../cmake_oos/CMakeLists.txt)
