=== debian/changelog ===
gcovr (7.2+really-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083411)
  * Remove python3-importlib-metadata build dep
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop obsolete X-Python3-Version tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml
  * Mention debhelper-compat in d/control, drop d/compat

 -- Alexandre Detiste <tchet@debian.org>  Fri, 16 Jan 2026 23:58:32 +0100

gcovr (7.2+really-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Really use upstream version 7.2 (not 3.2 as was previously imported).
    In order to have a new upstream version we temporarily add `+really'.
    Closes: #1070172
  * Drop patch. Readme isn't copied anymore
  * d/control: Add new build dependencies

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 May 2024 15:43:35 +0200
