=== debian/control ===
Source: gcovr
Section: devel
Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-sequence-python3,
 help2man,
 python3,
 python3-colorlog,
 python3-lxml,
 python3-setuptools,
Standards-Version: 4.7.3
Homepage: http://gcovr.com/
Vcs-Browser: https://salsa.debian.org/debian/gcovr
Vcs-Git: https://salsa.debian.org/debian/gcovr.git

Package: gcovr
Architecture: all
Depends:
 python3-colorlog,
 ${misc:Depends},
 ${python3:Depends},
Description: Manages the compilation of coverage information from gcov
 The gcovr command provides a utility for running the gcov command and
 summarizing code coverage results. This command is inspired by the
 Python coverage.py package, which provides a similar utility in
 Python. Further, gcovr can be viewed as a command-line alternative of
 the lcov utility, which runs gcov and generates an HTML output.
