=== debian/watch ===
Version: 5

Template: GitHub
Owner: gcovr
Project: gcovr
